org.apache.tools.ant.taskdefs.optional.perforce

## Class P4Edit

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.perforce.P4Base
      - - org.apache.tools.ant.taskdefs.optional.perforce.P4Edit

- All Implemented Interfaces:
    java.lang.Cloneable

      public class P4Edit
      extends P4Base

  Open file(s) for edit. P4Change should be used to obtain a new changelist for P4Edit as, although P4Edit can open files to the default change, P4Submit cannot yet submit to it. Example Usage:
  <p4edit change="${p4.change}" view="//depot/project/foo.txt" />
  To do:
    Should call reopen if file is already open in one of our changelists perhaps?

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `change` number of the change list to work on

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

      `failOnError, P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `P4Edit()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Run the p4 edit command
    `void` | `setChange(java.lang.String change)` An existing changelist number to assign files to; optional but strongly recommended.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base

      `execP4Command, execP4Command, getErrorMessage, getInError, init, setClient, setCmdopts, setErrorMessage, setFailonerror, setGlobalopts, setInError, setPort, setUser, setView`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### change

          public java.lang.String change

      number of the change list to work on

  - ### Constructor Detail

    - #### P4Edit

          public P4Edit()

  - ### Method Detail

    - #### setChange

          public void setChange(java.lang.String change)

      An existing changelist number to assign files to; optional but strongly recommended.
      Parameters:
        `change` - the change list number

    - #### execute

          public void execute()
                       throws BuildException

      Run the p4 edit command
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if there is no view specified